// Основная маршрутизация страниц
std::string parseRequest(const std::string& request) 
{
    std::string method, path, data;
    std::istringstream request_stream(request);
    request_stream >> method >> path; // Получаем метод и путь

    /* postVM post_create_vm; */
    std::string line;
    while (std::getline(request_stream, line) && line != "") {
        // Собираем заголовки, но они нам не нужны в этом примере
    }
    


    // Если это POST запрос, то нужно получить данные
        if (method == "POST") 
        {
            // Получаем длину содержимого
            while (std::getline(request_stream, line)) 
            {
                if (line.find("Content-Length: ") != std::string::npos) 
                {
                    int content_length = std::stoi(line.substr(16));
                    data.resize(content_length);
                    request_stream.read(&data[0], content_length);
                    break;
                }
            }
  /////////////////////////////////////////
  //            Функционал  для POST
  /////////////////////////////////////////
  
            
              //  switch(std::stoi(path.substr(1)))
              //  {
                    // Регистрация
                //    case 1: return regGET(path); break;
                    // Авторизация
                //    case 2: return authGET(path); break;
                    // Создание новой VM
                //    case 3: return handlePOST(createVM(init_createVM(line))); break;
                    // Создание новой VM
               //     case 4: return listVM_html(path); break;
                    // По-умолчанию: открыть главную страницу
                //    default: return mainGET(path);
              //  }             
            
            
  
            // Создание виртуальной машины при запросе POST
            return handlePOST(createVM(init_createVM(line)));
        }
        else if (method == "GET") 
        {
            // Главная страница
           //     std::cout << "Главная страница:" << path.substr(1) << std::endl;
            if(( path == "/" ) || (path == "/favicon.ico"))
            {
                // Главная страница
                return mainGET(path);
            }
            else
                switch(std::stoi(path.substr(1)))
                {
                    // Регистрация
                    case 1: return regGET(path); break;
                    // Авторизация
                    case 2: return authGET(path); break;
                    // Создание новой VM
                    case 3: return createVM_html(path); break;
                    // Список VM
                    case 4: return listVM_html(path); break;
                    // По-умолчанию: открыть главную страницу
                    default: return mainGET(path);
                } 
        }

    return "HTTP/1.1 405 Method Not Allowed\n"
           "Connection: close\n"
           "\n";
}
